# API Training Videos

To help those who prefer learning at their own pace, we have created video materials that supplement our API training materials. These videos correlate directly to the materials covered in the slides for each module, and in most cases we have also provided videos that illustrate the solution to the exercises.

These videos refer to resource definitions and the API Cookbook:

* Resource Definitions can be accessed through the [API Portal](https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs).
* The [cookbook](https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/cookbook/get-started-with-the-cookbook) is a set of example scripts intended to help you learn how to work with REST and EPP (automation) scripts.

### Module 1: Overview of the API

This module outlines the course structure of the API Training Series of modules and provides a general strategy for being successful using the API.

{% embed url="<https://youtu.be/8BmnOugDH60>" %}

### Module 2: General Concepts of the API

This module explores the basic principles of interacting with the API. A browser plugin such as XHR for Chrome or Poster for Firefox is used and illustrates where specific LIMS data are accessible via the API. The PUT, POST, GET,and DELETE actions are explained as to how these operations are supported through the API.

Understanding the concept of a genealogy and how user defined fields are configured and used in the system is uncovered. Completing the exercises for this module is critical before proceeding to Module 3.

{% embed url="<https://youtu.be/fPh5itWDlQY>" %}

Module 2: Example Exercise 1

{% embed url="<https://youtu.be/8BmnOugDH60>" %}

Module 2: Example Exercise 2

{% embed url="<https://youtu.be/udE7DYg4tLk>" %}

Module 2: Example Exercise 3

{% embed url="<https://youtu.be/LuN0dTvCFb4>" %}

### Module 3: Groovy

This module explores setting up Groovy and interacting with data in the Clarity LIMS database via the API. Common script examples from the Cookbook section are used to show how to use a scripting language to interact with the API. API example videos are also provided as part of module 3.

{% embed url="<https://youtu.be/0CXVFB6JFXg>" %}

Module 3: Example Exercise 1

{% embed url="<https://youtu.be/iaEjXjlSe0U>" %}

Module 3: Example Exercise 2

{% embed url="<https://youtu.be/qAscaUIioks>" %}

### Module 4: Process Inputs and Outputs

This module focuses on how the data for processes that have been carried out in the LIMS are represented in XML format.

{% embed url="<https://youtu.be/z5-Ypwk0ONc>" %}

Module 4: Example Exercises

{% embed url="<https://youtu.be/W6_i_-KWS-A>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/api-training-videos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
